Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 754892 - Review Request: perl-DBIx-Array - This module is a wrapper around DBI with array interfaces
Summary: Review Request: perl-DBIx-Array - This module is a wrapper around DBI with ar...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW 759698
TreeView+ depends on / blocked
 
Reported: 2011-11-18 05:07 UTC by mrdvt92
Modified: 2012-06-15 21:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-15 21:17:15 UTC


Attachments (Terms of Use)

Description mrdvt92 2011-11-18 05:07:54 UTC
Spec URL: http://linux.davisnetworks.com/yumrepo/fc/16/SPEC/perl-DBIx-Array.spec
SRPM URL: http://linux.davisnetworks.com/yumrepo/fc/16/SRPMS/perl-DBIx-Array-0.22-1.fc16.src.rpm
Description: This module is for people who truly understand SQL and who understand Perl data structures. If you understand how to modify your SQL to meet your data requirements then this module is for you.

---
This is my package from CPAN http://search.cpan.org/dist/DBIx-Array/ that I'd like to get into Fedora.

FE-NEEDSPONSOR: This is not my first package on Fedora (e.g. perl-Geo-Ellipsoids) but this will be the first one that I'll be maintaining.  So, I will need a sponsor.  I've worked with Miroslav Lichvar <mlichvar@redhat.com> on gpsd in the past so I was hoping to con him into the task.

Thanks,
Mike

mrdvt92

Comment 1 Trond H. Amundsen 2011-11-18 09:16:26 UTC
Hello Mike,

Spec file looks good, rpmlint is silent on both spec file and SRPM. One question though:

Requires:       perl(DBI)

Doesn't rpmbuild find this dependency? If it does, this Requires is redundant and should be removed.

Comment 2 mrdvt92 2011-11-21 05:36:10 UTC
$ rpm -q --requires perl-DBIx-Array
perl(:MODULE_COMPAT_5.14.1)  
perl(DBI)  
perl(DBI)  
perl(base)  
perl(strict)  
perl(warnings)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1


I guess it is found.  I don't understand why it matters but if that's what you need I'll drop it.

I also fix three misspellings and will have the new version 0.23 on CPAN as soon as I burn it in.

Comment 3 mrdvt92 2011-11-22 05:55:47 UTC
Updated URLs for version 0.23

Spec URL:
http://linux.davisnetworks.com/yumrepo/fc/16/SPEC/perl-DBIx-Array.spec
SRPM URL:
http://linux.davisnetworks.com/yumrepo/fc/16/SRPMS/perl-DBIx-Array-0.23-1.fc16.src.rpm

hard coded perl(DBI) removed

$ rpm -q --requires perl-DBIx-Array
perl(:MODULE_COMPAT_5.14.2)  
perl(DBI)  
perl(base)  
perl(strict)  
perl(warnings)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

spec - rpmlint is clean
srpm - rpmlint is clean

Comment 4 Michael Schwendt 2011-11-23 19:41:16 UTC
Just jumped into a random package review request for a very brief look:

> %changelog
> * Sun Aug 28 2011 Michael R. Davis (...) 0.22-1
> - See Changes files

In the spec %changelog you're supposed to sum up only your changes related to the RPM packaging of the software. For example, mention what changed in the spec file (= the src.rpm):
https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs

During the review phase, if multiple updates of the src.rpm are needed, you can negotiate with the reviewer that you don't need to sum up every minor change of the spec file. Practising the creation of proper %changelog entries can be helpful training, however. ;)

Comment 5 mrdvt92 2011-11-25 22:37:38 UTC
Updated URLs for version 0.23-2

Spec URL:
http://linux.davisnetworks.com/yumrepo/fc/16/SPEC/perl-DBIx-Array.spec
SRPM URL:
http://linux.davisnetworks.com/yumrepo/fc/16/SRPMS/perl-DBIx-Array-0.23-2.fc16.src.rpm

 %changelog
+* Fri Nov 25 2011 Michael R. Davis (mdavis@stopllc.com) 0.23-2
+- Updated changelog (#754892)
+
+* Mon Nov 21 2011 Michael R. Davis (mdavis@stopllc.com) 0.23-1
+- Updated for version 0.23
+- Removed hard coded requires for DBI since rpmbuild finds them from sources (#754892)
+
 * Sun Aug 28 2011 Michael R. Davis (mdavis@stopllc.com) 0.22-1
-- See Changes files
+- Created spec file with cpanspec



I really do appreciate the review process.  I hope that my next few packages will be correct right out of the gates.  It's a learning experience thinking about how this can be run on multiple OSes both from the past and in the future.

Thanks,
Mike

mrdvt92

Comment 6 Jason Tibbitts 2012-06-15 21:17:15 UTC
Closing as requested by submitter in bug 759697.


Note You need to log in before you can comment on or make changes to this bug.